# assemblyname::get-full-name

Gets the full name of the assembly, also known as the display name.

### Usage

`string assemblyname::get-full-name(assemblyName)`

### Parameters

Name | Type | Description
--- | --- | ---
assemblyName | AssemblyName | The AssemblyName of the assembly.

### Return Value

The full name of the assembly, also known as the display name.

### Examples

- Output the full name of the `nunit.framework` assembly to the build log.

      <echo message="${assemblyname::get-full-name(assemblyname::get-assembly-name('nunit.framework.dll'))}" />

### Requirements

Assembly: NAnt.Core (0.85.2478.0)

### See Also

assembly::get-name()